Package org.apache.sysds.runtime.util

# Class PRNGenerator

java.lang.Object
org.apache.sysds.runtime.util.PRNGenerator

All Implemented Interfaces:
  `IPRNGenerator`

Direct Known Subclasses:
  `NormalPRNGenerator`, `PoissonPRNGenerator`, `UniformPRNGenerator`

public abstract class PRNGenerator extends Object implements IPRNGenerator

## Constructor Summary

Constructors
Constructor
Description
`PRNGenerator()`

## Method Summary

Modifier and Type
Method
Description
`abstract double`
`nextDouble()`
`abstract void`
`setSeed(long sd)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PRNGenerator

public PRNGenerator()

## Method Details

### setSeed

public abstract void setSeed(long sd)

Specified by:
  `setSeed` in interface `IPRNGenerator`

### nextDouble

public abstract double nextDouble()